Add GIT-VERSION-FILE to .gitignore.